Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
keys
List API Keys
curl --request GET \
  --url https://api.trillet.ai/v1/api/keys \
  --header 'x-api-key: <api-key>'
[
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0e",
    "key": "tk_a1b2****o5p6",
    "userId": "664a1b2c3d4e5f6a7b8c9d0e",
    "metadata": {},
    "createdAt": "2024-06-01T09:00:00.000Z"
  }
]

Headers

x-api-key
string
required
API key used for authenticating requests to the API.

Response Fields

keys
array
Array of API key objects.
_id
string
Unique identifier for the API key.
key
string
The API key (partially masked for security).
userId
string
User ID associated with the API key.
metadata
object
Metadata associated with the API key.
createdAt
string
Timestamp when the API key was created.
[
  {
    "_id": "665a1b2c3d4e5f6a7b8c9d0e",
    "key": "tk_a1b2****o5p6",
    "userId": "664a1b2c3d4e5f6a7b8c9d0e",
    "metadata": {},
    "createdAt": "2024-06-01T09:00:00.000Z"
  }
]